## smarty 2.6.2-2

=== debian/changelog ===
smarty (2.6.2-2) unstable; urgency=low

  * Adapted dependencies to allow running smarty with apache 2 (Closes: #241147)
  * Prepared the template for i18n (Closes: #233098)

 -- Dimitri Fontaine <dfontaine@cvf.fr>  Fri, 16 Apr 2004 17:41:20 +0200

smarty (2.6.2-1) unstable; urgency=low

  * New upstream release

 -- Dimitri Fontaine <dfontaine@cvf.fr>  Wed, 10 Mar 2004 10:54:29 +0100

smarty (2.6.1-1) unstable; urgency=low

  * New upstream release

 -- Dimitri Fontaine <dfontaine@cvf.fr>  Fri, 13 Feb 2004 10:43:35 +0100

smarty (2.6.0-2) unstable; urgency=low

  * Don't forget the new libs/core directory

 -- Dimitri Fontaine <dfontaine@cvf.fr>  Wed,  7 Jan 2004 17:40:07 +0100

smarty (2.6.0-1) unstable; urgency=low

  * New upstream release
  * debconf screen to warn for cache file (Closes: #222234)
  * Add support for apache-perl (Closes: #222451)

 -- Dimitri Fontaine <dfontaine@cvf.fr>  Mon, 15 Dec 2003 14:04:50 +0100

smarty (2.5.0-1) unstable; urgency=low

  * Initial Release.
  * Closes: #207495 (ITP)

 -- Dimitri Fontaine <dfontaine@cvf.fr>  Wed, 27 Aug 2003 14:13:02 +0200

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

clean:
	dh_clean

build:

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/smarty.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/smarty


binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
#	dh_installexamples
	dh_install
#	dh_installmenu
	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: install

binary: binary-indep binary-arch
.PHONY: clean binary-indep binary-arch binary install

## smarty 2.6.2-2ubuntu0.1

=== Makefile ===
# Edited for Debian GNU/Linux.
DESTDIR =

TARGETDIR = $(DESTDIR)/usr/share/php/smarty
DOCPATH   = $(DESTDIR)/usr/share/doc/smarty

LIBS     = $(wildcard libs/*php) $(wildcard libs/*tpl)
CORE     = $(wildcard libs/core/*php)
PLUGINS  = $(wildcard libs/plugins/*php)
TOPFILES = BUGS ChangeLog FAQ NEWS README RELEASE_NOTES TODO

install:
	install -d -o www-data -m 755 $(TARGETDIR)/libs
	install -d -o www-data -m 755 $(TARGETDIR)/libs/core
	install -d -o www-data -m 755 $(TARGETDIR)/libs/plugins

	install -o www-data -m 644 $(LIBS) $(TARGETDIR)/libs
	install -o www-data -m 644 $(CORE) $(TARGETDIR)/libs/core
	install -o www-data -m 644 $(PLUGINS) $(TARGETDIR)/libs/plugins

	install -d $(DOCPATH)
	install -o www-data -m 644 $(TOPFILES) $(DOCPATH)
	cp -r demo $(DOCPATH)
	cp -r misc $(DOCPATH)

=== debian/changelog ===
smarty (2.6.2-2ubuntu0.1) warty-security; urgency=high

  * SECURITY UPDATE: Remote PHP Script Execution Vulnerability
  * libs/plugins/modifier.regex_replace.php:
    - Applied changes from upstream version to fix the vulnerability. It was
    possible to execute PHP code even when security template were enabled.
  * References:
    - CAN-2005-0913
    - http://www.securityfocus.com/bid/12941/
    - http://securitytracker.com/alerts/2005/Mar/1013556.html

 -- Gerardo Di Giacomo <gerardo@linux.it>  Mon,  4 Apr 2005 21:29:07 +0000

=== debian/control ===
Source: smarty
Section: web
Priority: optional
Maintainer: Dimitri Fontaine <dfontaine@cvf.fr>
Build-Depends-Indep: debhelper (>> 4.1.16)
Standards-Version: 3.6.1

Package: smarty
Architecture: all
Depends: debconf, php4 | libapache2-mod-php4, apache | apache-ssl | apache-perl | apache2, wwwconfig-common
Description: Template engine for PHP
 Smarty is a template engine for PHP. More specifically, it
 facilitates a manageable way to separate application logic and content
 from its presentation.
 .
 This is best described in a situation where the
 application programmer and the template designer play different roles,
 or in most cases are not the same person. For example, let's say you
 are creating a web page that is displaying a newspaper article. The
 article headline, tagline, author and body are content elements, they
 contain no information about how they will be presented. They are
 passed into Smarty by the application, then the template designer
 edits the templates and uses a combination of HTML tags and template
 tags to format the presentation of these elements (HTML tables,
 background colors, font sizes, style sheets, etc.) One day the
 programmer needs to change the way the article content is retrieved (a
 change in application logic.) This change does not affect the template
 designer, the content will still arrive in the template exactly the
 same. Likewise, if the template designer wants to completely redesign
 the templates, this requires no changes to the application
 logic. Therefore, the programmer can make changes to the application
 logic without the need to restructure templates, and the template
 designer can make changes to templates without breaking application
 logic.
